<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC  "-//ACTIVEMQ//DTD//EN" "http://activemq.org/dtd/activemq.dtd">
<beans>

  <!-- normal ActiveMQ XML config which is less verbose & can be validated -->
  <broker name="localhost">

    <!--
      || NOTE this config file is used for unit testing the configuration mechanism
      || it is not necessarily a good example of a config file! :)
      -->

    <connector>
      <serverTransport uri="vm://localhost"/>
    </connector>
    <connector>
      <tcpServerTransport uri="tcp://localhost:61301" backlog="1000" useAsyncSend="true" maxOutstandingMessages="50">
        <wireFormat class="org.activemq.config.WireFormatStub"/>
      </tcpServerTransport>
    </connector>
    <connector>
      <serverTransport uri="tcp://localhost:61302"/>
    </connector>

    <networkConnector>
      <networkChannel uri="tcp://somehost:61616" remoteUserName="James" remotePassword="Stewey"/>
      <networkChannel uri="tcp://anotherhost:61616"/>

      <localPrefetchPolicy queuePrefetch="1" queueBrowserPrefetch="2"/>
      <remotePrefetchPolicy topicPrefetch="3" durableTopicPrefetch="4"/>
    </networkConnector>

    <discoveryAgent>
      <multicastDiscovery keepAliveTimeout="1000" channelName="cheese" uri="multicast://228.8.9.10:2677"></multicastDiscovery>
    </discoveryAgent>

    <persistence>
      <vmPersistence/>
    </persistence>

    <redeliveryPolicy backOffMode="true" maximumRetryCount="10"/>

    <security>
      <bean class="org.activemq.config.SecurityAdapterStub"/>
    </security>
  </broker>


  <!-- testing normal Spring stuff inside the same config file -->
  <bean id="transport" factory-method="newInstance" class="org.activemq.transport.TransportServerChannelProvider">
    <constructor-arg index="0">
      <bean class="org.activemq.io.impl.DefaultWireFormat"/>
    </constructor-arg>
    <constructor-arg index="1">
      <value>vm://localhost</value>
    </constructor-arg>
  </bean>

</beans>
